<!DOCTYPE html>
<html lang="es">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <link rel="stylesheet" type="text/css" href="styles/Style.css">
  <script language="JavaScript" type="text/javascript" src="js/ajax.js"></script>
  <title>Document</title>
</head>
<body>
  


<?php

require_once("class/class.conectar.php");
require_once("class/class.regproduccion.php");

$Objcon = new Conectar();
$con = $Objcon->con();

$dni=$_GET['dni'];
$anno=$_GET['anno'];
$mes=$_GET['mes'];

$Objrp = new RegProduccion();
$res_lis_regprod = array();
$res_sum_regprod = array();
$sthrs = 0;
$stp=0;
  
$res_lis_regprod = $Objrp->listar_regproduccion_per($con,$dni,$anno,$mes);
$res_sum_regprod = $Objrp->suma_hrs_regproduccion_per($con,$dni,$anno,$mes);

if(count($res_lis_regprod)>0){
?>



<div class="contenedor1">
<h2>DETALLE DE LA PRODUCCION</h2>
<table  align="center" width="700px" border="0px">
  <tr>
    <td class="tablacabeceradetalle">FECHA</td>
    <td class="tablacabeceradetalle">AREA</td>
    <td class="tablacabeceradetalle">ACTIVIDAD</td>
    <td class="tablacabeceradetalle">TURNO</td>
    <td class="tablacabeceradetalle">TIPO HORA</td>
    <td class="tablacabeceradetalle">NUM PAC/DIA</td>
    <td class="tablacabeceradetalle">VER PAC</td>
  </tr>
  <?php
  for($irp=0;$irp<sizeof($res_lis_regprod);$irp++){
    echo "<tr><td class='tabladetalle4'>".$res_lis_regprod[$irp]['fecha']."</td><td class='tabladetalle4'>".$res_lis_regprod[$irp]['area']."</td><td class='tabladetalle4'>".$res_lis_regprod[$irp]['actividad']."</td><td class='tabladetalle4'>".$res_lis_regprod[$irp]['horario']."</td><td class='tabladetalle4'>".$res_lis_regprod[$irp]['tipohora']."</td><td class='tabladetalle4'>".$res_lis_regprod[$irp]['numpac']."</td><td class='tabladetalle4'><input type='button' onClick='verpac(".$irp.")' value='VER'><input type='hidden' id='dnip".$irp."' name='dnip".$irp."' value='".$dni."'><input type='hidden' id='fechap".$irp."' name='fechap".$irp."' value='".$res_lis_regprod[$irp]['fecha2']."'><input type='hidden' id='idh".$irp."' name='idh".$irp."' value='".$res_lis_regprod[$irp]['idh']."'></td></tr>";
  }
  ?>
 
</table>
<br><br>
<div class="contenedor">
<table align="center" width="350px">
  <tr>
    <td colspan="3" class="tabladetalle6">RESUMEN</td>   
  </tr>
  <tr>
    <td class="tablacabeceradetalle">ACTIVIDAD</td>
    <td class="tablacabeceradetalle">NRO HORAS</td>
    <td class="tablacabeceradetalle">PROD.</td>
  </tr>
  <?php
    for($irm=0;$irm<sizeof($res_sum_regprod);$irm++){
    $tthrs = $res_sum_regprod[$irm]['tthrs'];
    $ttp = $res_sum_regprod[$irm]['ttnumpac'];  
    echo "<tr><td >".$res_sum_regprod[$irm]['actividad']."</td><td class='tabladetalle4'>".$tthrs."</td><td class='tabladetalle4'>".$ttp."</td></tr>";
    $sthrs =  $sthrs + $tthrs;
    $stp =  $stp + $ttp;
    }
   
  echo "<tr><td class='tabladetalle5'>TOTAL ===></td><td class='tabladetalle5'>".$sthrs."</td><td class='tabladetalle5'>".$stp."</td></tr>";
   ?> 
</table>  
</div>
<br>
</div>

<?php
}else{
  echo "<div class='contenedor1'>";
  echo "<center><label><b>NO EXISTE NINGUN REGISTRO</b></label></center>";
  echo "</div>"; 
  
}
  
  ?>
  
 </body>
</html>
